GLSA-200510-04 : Texinfo: Insecure temporary file creation

Low Nessus Plugin ID 19974


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-200510-04 (Texinfo: Insecure temporary file creation)

Frank Lichtenheld has discovered that the 'sort_offline()' function in texindex insecurely creates temporary files with predictable filenames.
Impact :

A local attacker could create symbolic links in the temporary files directory, pointing to a valid file somewhere on the filesystem.
When texindex is executed, this would result in the file being overwritten with the rights of the user running the application.
Workaround :

There is no known workaround at this time.


All Texinfo users should upgrade to the latest version:
# emerge --sync # emerge --ask --oneshot --verbose '>=sys-apps/texinfo-4.8-r1'

See Also

Plugin Details

Severity: Low

ID: 19974

File Name: gentoo_GLSA-200510-04.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/10/11

Modified: 2015/04/13

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.2

Temporal Score: 1

Vector: CVSS2#AV:L/AC:H/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:texinfo, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Exploit Available: true

Exploit Ease: No exploit is required

Patch Publication Date: 2005/10/05

Vulnerability Publication Date: 2005/09/14

Reference Information

CVE: CVE-2005-3011

BID: 14854

OSVDB: 19409

GLSA: 200510-04